Subject: Re: What's cooking in git.git (Oct 2021, #03; Mon, 11)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 13 Oct 2021 15:43:43 +0200

On Mon, Oct 11 2021, Junio C Hamano wrote:

> * ab/mark-leak-free-tests-more (2021-10-07) 8 commits
>  - merge: add missing strbuf_release()
>  - ls-files: add missing string_list_clear()
>  - ls-files: fix a trivial dir_clear() leak
>  - tests: fix test-oid-array leak, test in SANITIZE=leak
>  - tests: fix a memory leak in test-oidtree.c
>  - tests: fix a memory leak in test-parse-options.c
>  - tests: fix a memory leak in test-prio-queue.c
>  - Merge branch 'ab/sanitize-leak-ci' into ab/mark-leak-free-tests-more
>
>  Bunch of tests are marked as "passing leak check".
>
>  Will merge to 'next'?

I think it's ready for that. I just replied to what I read as a very
mild objection/nit just now in
https://lore.kernel.org/git/[email-masked]/; and
noted that I'd like to just keep the series as-is.

But if you insist I'll re-roll it, just let me know.